Package org.apache.any23.cli

## Class SimpleRoverTest

- java.lang.Object
- - org.apache.any23.AbstractAny23TestBase
  - - org.apache.any23.Any23OnlineTestBase
    - - org.apache.any23.cli.ToolTestBase
      - - org.apache.any23.cli.SimpleRoverTest

-     public class SimpleRoverTest
      extends ToolTestBase

  Unit test for issue ANY23-310
  Author:
    Jacek Grzebyta (grzebyta.dev [at] gmail.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.any23.cli.ToolTestBase

      `TOOL_RUN_METHOD`

    - ### Fields inherited from class org.apache.any23.Any23OnlineTestBase

      `ONLINE_TEST_DISABLED_FLAG`

    - ### Fields inherited from class org.apache.any23.AbstractAny23TestBase

      `tempDirectory, testFolder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleRoverTest​(String filePath)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Collection<String[]>` | `litsFiles()` |
    `void` | `ref310ExtendedTest()` | Ref ANY23-310 unit test.
    `void` | `ref310Test()` | Ref ANY23-310 unit test.

    - ### Methods inherited from class org.apache.any23.cli.ToolTestBase

      `runTool, runTool, runToolCheckExit0`

    - ### Methods inherited from class org.apache.any23.Any23OnlineTestBase

      `assumeOnlineAllowed`

    - ### Methods inherited from class org.apache.any23.AbstractAny23TestBase

      `copyResourceToTempFile, getDocumentSourceFromResource, getDocumentSourceFromResource, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleRoverTest

          public SimpleRoverTest​(String filePath)

  - ### Method Detail

    - #### litsFiles

          public static Collection<String[]> litsFiles()
                                                throws Exception

      Throws:
        `Exception`

    - #### ref310Test

          public void ref310Test()
                          throws Exception

      Ref ANY23-310 unit test.
      Throws:
        `Exception` - if there is an error asserting the test data.

    - #### ref310ExtendedTest

          public void ref310ExtendedTest()
                                  throws Exception

      Ref ANY23-310 unit test. Example without the logging file. By default that test is not active. It might be useful for debugging.
      Throws:
        `Exception` - if there is an error asserting the test data.